<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
$reporting = false;
$dont_close_session = true;
include_once('../common.inc.php');
AccessCheck();

if(!empty($_REQUEST['saveDashboard'])) { $saveDashboard = $_REQUEST['saveDashboard']; } else { die(); }
if(!empty($_REQUEST['dashboardname'])) { $dashboardname = $_REQUEST['dashboardname']; } else { die(); }

# these options may never be saved (this used to contain displaymode, but we removed that and have no idea why it was here in the first place)
$never_save = array('IgnReIm','ReIm','regenerateDatafiles');

if(substr($saveDashboard,1,1) == "\\"){
	$saveDashboard = stripslashes($saveDashboard);
	$dashboardname = stripslashes($dashboardname);
}
if($saveDashboard != "delete") {
	$tmp_storage = json_decode($saveDashboard,true);

	if($tmp_storage['startup'] == 1) {
		foreach($profile->dashboards as $k => $dashboarddata) {
			$tmp_dashboarddata = json_decode($dashboarddata['Value'],true);

			$tmp_dashboarddata['startup'] = 0;
			
			$tmp_dashboarddata = json_encode($tmp_dashboarddata);
			$profile->dashboards[$dashboarddata['Name']] = array(
				"Name" => $dashboarddata['Name']
				,"Value" => $tmp_dashboarddata
				,"Profile" => $conf
			); 
		}
	}
	
	foreach ($tmp_storage['reports'] as $rk => $row) {
		foreach ($row as $k => $report) {
			$url = $report['url'];
			
			$new_url = "";
			$valid_options = array();
			$url = str_replace("reports.php?","",$url);
			$options = explode("&",$url);

			foreach ($options as $option) {
				$kv = explode("=",$option);
				if(!in_array($kv[0],$never_save)){
					$valid_options[] = $option;
				}

			}
			$new_url = "reports.php?" . implode("&",$valid_options);

			$tmp_storage['reports'][$rk][$k]['url'] = $new_url;
		}
	}
	
	$profile->dashboards["{$conf}.dashboards.{$dashboardname}"] = array(
		"Name" => "{$conf}.dashboards.{$dashboardname}"
		,"Value" => json_encode($tmp_storage)
		,"Profile" => $conf
	); 

} elseif($saveDashboard == "delete") {
	$dashboardname = stripslashes($dashboardname);
	unset($profile->dashboards["{$conf}.dashboards.{$dashboardname}"]);

	echo "{$dashboardname} "._HAS_BEEN_DELETED;
}
$profile->Save();
?>