<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
Class Template_v3 extends Template {
	function HTMLheadTag($headAddition = "") {
		global $conf, $baseurl, $profiles, $ourpath, $from, $to, $cm;
		if (method_exists($cm, 'testcookie')) {
			$cm->testcookie();
			$cm->testdashboard();
		}
		
		$htmlheadtag = "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">".PHP_EOL;
		
		$htmlheadtag .= "<html xmlns=\"http://www.w3.org/1999/xhtml\">".PHP_EOL;
		$htmlheadtag .= "<head>".PHP_EOL;
		$htmlheadtag .= "	<meta name=\"ROBOTS\" content=\"NOINDEX, NOFOLLOW\" />".PHP_EOL;
		$htmlheadtag .= "	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />".PHP_EOL;
		$htmlheadtag .= "	<meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\" />".PHP_EOL;
		if(isset($baseurl) && ($baseurl)) { $htmlheadtag .= "<base href=\"{$baseurl}\">".PHP_EOL; }
		
		$htmlheadtag .= "	<title>Logaholic Web Analytics - {$conf}</title>".PHP_EOL;
		
		$htmlheadtag .= "	<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\" />".PHP_EOL;
		$htmlheadtag .= "	<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\" />".PHP_EOL;
		
		$htmlheadtag .= "	<link type=\"text/css\" rel=\"stylesheet\" href=\"components/jquery/css/lightness/jquery-ui-1.8.custom.css\" />".PHP_EOL;
		
		$htmlheadtag .= "	<link type=\"text/css\" rel=\"stylesheet\" href=\"components/jquery/jqplot/jquery.jqplot.min.css\" />".PHP_EOL;
		$htmlheadtag .= "	<link type=\"text/css\" rel=\"stylesheet\" href=\"components/jquery/datatables/css/datatables.css\" />".PHP_EOL;
		
		$htmlheadtag .= "	<link type=\"text/css\" rel=\"stylesheet\" href=\"templates/template_v3.css\" />".PHP_EOL;
		
		$htmlheadtag .= "	<link href='images/infographics/infograhic.css' rel='stylesheet' type='text/css'>".PHP_EOL;
		$htmlheadtag .= "	<link href='components/d3.v3/nv.d3.css' rel='stylesheet' type='text/css'>".PHP_EOL;
		
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/js/jquery-1.7.1.min.js\"></script>".PHP_EOL;
		
		$htmlheadtag .= "	<!--[if IE]><script type=\"text/javascript\" src=\"components/jquery/jqplot/excanvas.min.js\"></script><![endif]-->".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/jquery.jqplot.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.canvasTextRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.canvasAxisTickRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.canvasAxisLabelRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.dateAxisRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.barRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.categoryAxisRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.pieRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.donutRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.trendline.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.meterGaugeRenderer.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.bubbleRenderer.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.cursor.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.highlighter.js\"></script>".PHP_EOL;		
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.smoothFunnelRenderer.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jqplot/plugins/jqplot.pointLabels.min.js\"></script>".PHP_EOL;
		
		$htmlheadtag .= "	<script type=\"text/javascript\" language=\"javascript\" src=\"components/jquery/datatables/js/jquery.dataTables.min.js\"></script>".PHP_EOL;
		
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/js/jquery-ui-1.8.13.custom.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/js/date.format.js\"></script>".PHP_EOL;
		
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/js/jquery-scrollTo.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/js/jquery.tablesorter.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/json/json2.js\"></script>".PHP_EOL;	
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/js/jquery.sparkline.min.js\"></script>".PHP_EOL;	

		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jvectormap/jquery-jvectormap-1.0.min.js\"></script>".PHP_EOL;	
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/jquery/jvectormap/jquery-jvectormap-world-mill-en.js\"></script>".PHP_EOL;	
		$htmlheadtag .= "	<link type=\"text/css\" rel=\"stylesheet\" href=\"components/jquery/jvectormap/jquery-jvectormap-1.0.css\" />".PHP_EOL;

		$htmlheadtag .= "	<link type=\"text/css\" rel=\"stylesheet\" href=\"components/leaflet-0.6.4/leaflet.css\" />".PHP_EOL;
		$htmlheadtag .= "	<!--[if lte IE 8]><link rel=\"stylesheet\" href=\"components/leaflet-0.6.4/leaflet.ie.css\" /><![endif]-->".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/leaflet-0.6.4/leaflet-src.js\"></script>".PHP_EOL;

		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/d3.v3/d3.v3.min.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"components/d3.v3/nv.d3.js\"></script>".PHP_EOL;
		
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"jsfunctions.js\"></script>".PHP_EOL;
		$htmlheadtag .= "	<script type=\"text/javascript\" src=\"corejs.js.php\"></script>".PHP_EOL;
		
		if(!empty($_REQUEST['editconf'])) {
			$htmlheadtag .= "	<script type=\"text/javascript\" src=\"jq-functions.js.php?conf={$_REQUEST['editconf']}\" charset=\"utf-8\"></script>".PHP_EOL;
		} else {
			$htmlheadtag .= "	<script type=\"text/javascript\" src=\"jq-functions.js.php?conf={$conf}\" charset=\"utf-8\"></script>".PHP_EOL;
		}
		
		if ($profiles==1) {
			$htmlheadtag .=  "	<script type=\"text/javascript\" src=\"{$ourpath}loghint.js\"></script>".PHP_EOL;
		}
		$htmlheadtag .= "	<script type=\"text/javascript\">";
		$htmlheadtag .= "var original_conf_name = '{$conf}';";
		$htmlheadtag .= "var report_multi_profiles = false;";
		$htmlheadtag .= "var conf_name = '{$conf}';";
		$htmlheadtag .= "var from_date = '{$from}';";
		$htmlheadtag .= "var to_date = '{$to}';";
		$htmlheadtag .= "var actionmenu_url = 'includes/actionmenu_v3.php';";
		
		
		$htmlheadtag .= "	</script>".PHP_EOL;
		
		$htmlheadtag .= $headAddition;
		
		$htmlheadtag .= "</head>".PHP_EOL;
		
		echo $htmlheadtag;
	}
	
	function BodyStart() {	
		echo "<body onload='finishpage();'>".PHP_EOL;
	}
	
	function Navigation(){
		global $loginSystemExists, $userAuthenticationType, $session, $validUserRequired,$available_langs, $lang, $editconf, $conf, $dashboards, $reports, $from, $to, $db,$editprofile,$profile, $show_progressbar,$cm;
		
		# Get and set the affilliateID if we have one
		$this->AffiliateID();
		
		$currentFile = $_SERVER["SCRIPT_NAME"];
		$parts = Explode('/', $currentFile);
		$currentFile = $parts[count($parts) - 1];
		
		echo $this->Notifications();	
				
		echo "<div id='manage_profiles_list'>";
			echo"<ul>";	
			# When your licence says you can see all.
			$where = "";
			if (($validUserRequired) && (!$session->isAdmin()) && !$session->allProfiles ) {
				$validprofiles = array();
				for ($i = count($session->user_profiles)-1; $i >= 0; $i--) {
					$validprofiles[] = $db->Quote($session->user_profiles[$i]);
				}
				$where = " where profilename in (". implode(",",$validprofiles) .")";
			}
			$limitsql = "LIMIT 5";
			if (defined("_LIMIT_PROFILES") != 0 && _LIMIT_PROFILES < 5) {
				$limitsql = "LIMIT "._LIMIT_PROFILES;
			} 
			
			$q = $db->Execute("SELECT profilename FROM ". TBL_PROFILES . " $where ORDER BY lastused DESC $limitsql");
			while($data = $q->fetchRow()){
				if(empty($editconf)){ $c= $conf; }else{ $c = $editconf; }	

				$urlx = $_SERVER["PHP_SELF"]."?";
				
				if (isset($_REQUEST['conf'])) { 
					$urlx .= "conf=".$data["profilename"]; 
				} else if (isset($_REQUEST['editconf'])) { 
					$urlx .= "editconf=".$data["profilename"];
					if (isset($_REQUEST['edit'])) {
						$urlx .= "&edit=1";
					}
				}			
				
				if($data["profilename"] != $c){
					echo "<li><a href='".$urlx."'>".$data["profilename"]."</a></li>";
				}
			}
			echo"</ul>";
		echo "</div>";
		
		# check for printing the dialog .. doing it this way for isset $profile or isset $editprofile 
		$print_activation_dialog = false;
		if (!empty($profile) && $profile->profileloaded !== false && $profile->activated == 0) {
			$print_activation_dialog = true;
			$pname = $profile->profilename;
		} else if (!empty($editprofile) && $editprofile->profileloaded !== false && $editprofile->activated == 0) {
			$print_activation_dialog = true;
			$pname = $editprofile->profilename;
		}
		
		# Print the dialog in the source
		if($print_activation_dialog === true){
			echo "<div id=\"profileactiveNotice\" style='display:none;'>";
			echoWarning("You must activate the profile: <b>{$pname}</b> before you can use it.<br/>Once your profile is actived Logaholic wil start to process your data into the database.","text-align:center;");
			echo "<div id=\"p-activate\"><a href=\"#\">Activate</a></div>";
			echo "<br/>";
			echo "<div id=\"p-activate-cancel\"><a href=\"#\">Cancel</a></div>";
			echo "</div>";
			echo "<script type=\"text/javascript\">
			 $( \"#profileactiveNotice\" ).dialog({
				autoOpen: false,
				modal: true,
				width:600,
				height:500
			});</script>";
		}
		
		echo "<div id='north'>";
			$this->CoBranding(); # When to display (partner) logo or not
			
			if (!empty($profile) && $profile->profileloaded !== false) {
				$running = $profile->GetUpdateStatus();
				
				if($running == 'running') {
					$update_is_running = 'yes';
				} else {
					$update_is_running = false;
				}
			} else {
				$update_is_running = false;
			}
			
			
			echo "<a href='#' class='closebtn toggle_update_log' style='display: none; position: fixed; top: 10%; right: 10%; margin: -16px -36px 0 0; width: 32px; height: 32px; background: url(images/icons/close-button.png) top left; z-index: 99999990;'></a>";
			echo "<div id='update_log_container' style='display: none; position: fixed; border: 1px solid #333; top: 10%; left: 10%; margin: 0; padding: 10px; width: 80%; height: 80%; overflow: scroll; z-index: 9999999; background-color: #E0E0E0; border-radius: 4px; -moz-border-radius: 4px; -webkit-border-radius: 4px;'>";
			echo "</div>";
			
			
			echo "<div class='clear'></div>";
			?>
			<div id="top_button_bar">
				<div id="top_menubar_left">
					<ul class="dropdown top_navigation">
						<li>
							<?php 
								$params = "";
								if(!empty($conf)){
									$params .= "?editconf=".$conf;
								} else if(!empty($editconf)){
									$params .= "?editconf=".$editconf;
								}
							?>
							<a class="leave_page manage-profiles-list-link" title="Profiles" id="profiles" href="profiles.php<?php echo $params;?>"><?php echo _MANAGE_PROFILES;?></a>
						</li>
						<!-- SWITCH ON REPORT NAV STUFF! -->
						<?php if(isset($profile) && $profile->profileloaded == true) { ?>
							<li>
								<a style="cursor:default;"><?php echo $conf; ?></a>
								<ul class='dropdown-list'>
									<li><a href="index.php?conf=<?php echo $conf;?>"><?php echo _VIEW_STATS;?></a></li>
								<?php if (!$validUserRequired || @$session->canEditProfiles()) { ?>
								<li><a class="leave_page" title="Settings" id="settings" href="profiles.php?editconf=<?php echo $conf;?>&edit=1"><?php echo _EDIT_PROFILE;?></a></li>
								<li><a class="leave_page" href="profiles.php?editconf=<?php echo $conf; ?>&amp;del=1"><?php echo _MAINTENANCE; ?></a></li>
								<?php } if (!$validUserRequired || @$session->canUpdateLogs() | CheckSubscriptionOption("Update","Enabled")) { ?>
								<li><a class="leave_page" href="update.php?conf=<?php echo $conf; ?>"><?php echo _UPDATE_NOW;?></a></li>								
								<?php } ?>
								</ul>
							</li>
						<!-- ELSE GLOBAL NAV STUFF! -->
						<?php } else {
							 if (!empty($editconf)) { ?>
							<li><a style="cursor:default;"><?php echo $editconf; ?></a>
								<ul class='dropdown-list'>
								<li><a href="index.php?conf=<?php echo $editconf;?>"><?php echo _VIEW_STATS;?></a></li>
								<?php if (!$validUserRequired || @$session->canEditProfiles()) { ?>
								<li><a class="leave_page" title="Settings" id="settings" href="profiles.php?editconf=<?php echo $editconf;?>&edit=1"><?php echo _EDIT_PROFILE;?></a></li>
								<li><a href="profiles.php?editconf=<?php echo $editconf; ?>&amp;del=1"><?php echo _MAINTENANCE; ?></a></li>
								<?php } if (!$validUserRequired || @$session->canUpdateLogs() || CheckSubscriptionOption("Update","Enabled")) { ?>
								<li><a href="update.php?conf=<?php echo $editconf; ?>"><?php echo _UPDATE_NOW;?></a></li>
								<?php } ?>
								</ul>
							</li>
							<?php }
						}
						// <!-- SWITCH ON REPORT NAV STUFF! -->
						if(isset($profile) && $profile->profileloaded == true) { ?>
							<?php if(@$currentFile == 'index.php') { 
								echo "<li class='summon-reports'><a href=\"#report-area\">"._REPORTS."</a></li>";
							 } else { ?>
							<li><a href="index.php?conf=<?php echo $conf; ?>"><?php echo _REPORTS; ?></a></li>
							<?php } ?>
							
						<!-- ELSE GLOBAL NAV STUFF! -->
						<?php } else { ?>
							<?php 
							if ((($loginSystemExists) && ($userAuthenticationType == USER_AUTHENTICATION_NONE)) && _LOGAHOLIC_EDITION !=4) {
								echo "<li><a href='user_login/admin.php'>". _USER_ADMINISTRATION ."</a></li>";
							}
							
							if($validUserRequired && _LOGAHOLIC_EDITION !=4){
								if($session->isAdmin()){
									echo "<li><a href='user_login/admin.php'>". _USER_ADMINISTRATION ."</a></li>";
								} else {
									if($session->canEditUserInfo()){
										echo "<li><a href='user.php'>". _USER_ADMINISTRATION ."</a></li>";
									}								
								}								
							}
							
							
							if (!$validUserRequired || $session->isAdmin()) { ?>      
							<li><a href="settings.php<?php //echo "?conf=$editconf"; ?>"><?php echo _GLOBAL_SETTINGS;?></a></li>
							<?php } ?>						
					<?php } ?>
					</ul>
				</div>
				
				
				<?php if(@$currentFile == 'index.php') { ?>
					<span class='vline'>
						<ul class='workspace-actions'>
							<li class='change-daterange' title="<?php echo _WORKBAR_CHANGE_DATERANGE;?>"></li>
							<li class='notes-button open_iframe_window' href='notes.php?conf=<?php echo $conf; ?>&timestamp=<?php echo time(); ?>&donote=create' title="<?php echo _NOTES; ?>"></li>
							
							<?php 
							if($session->canEditProfiles()) {
								echo "<li class='save-screen' title=\"". _SAVE_WORKSPACE_AS_DASHBOARD ."\"></li>";
							} 
							?>
							
							<li class='pdf-workspace' href="pdf.php?conf=<?php echo $conf;?>" title="<?php echo _EXPORT_WORKSPACE_AS_PDF;?>"></li>
							
							<?php 
							if($session->canEditProfiles()) {
								if(empty($session->subscription['Options']['PDF']) || $session->subscription['Options']['PDF']['value'] == "Enabled") {
									echo "<li class='delete-dashboard' title='". _DELETE_OPENED_DASHBOARD ."'></li>";
								}
							}
							?>
						</ul>
					</span>
					<span class='vline'>						
						<ul class='workspace-actions'>
							<li class='minimize-all' title="<?php echo _MINIMIZE_ALL_REPORTS;?>"></li>
							<li class='restore-all' title="<?php echo _RESTORE_ALL_REPORTS;?>"></li>
							<li class='close-all' title="<?php echo _CLOSE_ALL_REPORTS_IN_CURRENT_WORKSPACE;?>"></li>
						</ul>
					</span>
					<span class='vline' style="display:none;">						
						<a href=# onclick="RealTime('on');">Realtime on</a> | <a href=# onclick="RealTime('off');">Realtime off</a>
					</span>
				<?php } ?>
				
				<div id="top_menubar_right">
					<ul class="dropdown top_navigation">
						<?php if(($update_is_running == 'yes' || $currentFile == "update.php") && $session->canUpdateLogs()) { ?>
						<li style='border: 0; border-left: 1px solid #DCDBDB;' class="while-update-list">
							<a style='display: block; padding: 0;' href='#'><img style='border: 0; padding: 8px 10px;' src="images/icons/database.gif" align="left"></a>
							<ul class='dropdown-list' style='top: 32px;'>
								<li><a class='toggle_update_log' href='#'>View Update log</a></li>
								<li><a class='stop_import' href='stop_update.php?conf=<?php echo $conf; ?>'>Stop Update Process</a></li>
							</ul>
						</li>
						<?php } ?>
						<?php if (_LOGAHOLIC_EDITION !== 4 && LOGAHOLIC_BASE_EDITION !== "cPanel Edition") { ?>
							<li class='first language-picker'>
							<?php echo "<a href=\"#\"><img src='images/flags/".ucwords($lang).".png' style='border:0px;' />". _LANGUAGE . "</a>"; ?>
							<?php
							echo "<ul class='dropdown-list'>";

								$cur_url = $_SERVER["REQUEST_URI"];
								$url_parts = explode("?", $cur_url);

								if(empty($url_parts[1])){
									$url_params = array();
								} else {
									parse_str($url_parts[1] ,$url_params);
								}

								foreach($available_langs as $value) {
									if(!empty($cm->remove_languages) && in_array($value, $cm->remove_languages)){ continue; }

									$l_value = "_" . strtoupper($value);
									$url_params['lang'] = $value;
									$par = array();
									foreach ($url_params as $k => $v) {
										$par[] = "$k=$v";
									}

									$new_url = $url_parts[0] . "?" . implode("&", $par);
									echo "<li class='language'><a href=\"". $new_url."\"><img src='images/flags/".ucwords($value).".png' style='border:0px;' alt='".ucwords($value)."' />" . constant($l_value) ."</a></li>";
								}
							echo "</ul>";
							?>
							</li>
							<?php
							echo "<li class=\"help-list\">";
						} else { echo "<li class=\"first help-list\">";  }
						
						if (isset($cm->manual_url)) {
							?><a target="_blank" title="<?php showVersion(); ?>" id="help" href="<?php echo $cm->manual_url; ?>"><?php echo _HELP;?></a></li><?php
						} else {
						?>
							<a target="_blank" title="<?php showVersion(); ?>" id="help" href="http://logaholic.com/manual/"><?php echo _HELP;?></a>
							<ul class='dropdown-list'>
								<li><a target="_blank" href="http://logaholic.com/manual/"><img style='border:0px; float:left;' src="images/icons/book.png" alt="" /><?php echo _MANUAL; ?></a></li>
								<li><a target="_blank" href="http://logaholic.com/help/"><img style='border:0px; float:left;' src="images/icons/balloon.png" alt=""/><?php echo _ASK_A_QUESTION; ?></a></li>
							</ul>
						</li>
						<?php 
						}

						if ($validUserRequired==true && $session->logged_in==true && @$cm->disable_logout_button!==true) { ?>
						<li><a href="user_login/logout.php" title="<?php echo _CURRENTLY_LOGGED_IN_AS.' '.$session->username ?>"><?php echo _LOGOUT;?></a></li>
						<?php } ?>
						<?php if ($session->isAdmin() && isset($_SESSION['dbid'])) { 
							echo "<li>".$_SESSION['dbid']."</li>";
						} ?>
					</ul>
				</div>
			</div>
			<script type="text/javascript">
			$(".toggle_update_log").on("click", function() {
				showUpdateProgress();		
				return false;
			});
			
			var dropdown_timer;
			$(".dropdown > li").live({
				mouseenter: function() {
					var dropdownElement = $(this);
					dropdown_timer = setTimeout(function () {
						dropdownElement.find('.dropdown-list').show();
					}, 100);
				},
				mouseleave: function() {
					clearTimeout(dropdown_timer);
					$(this).find('.dropdown-list').hide();
				}
			});
			</script>
		</div>
		<div class="clear"></div>
		<?php if(@$currentFile == 'index.php') { ?>
		<div class='lwa_datepicker'>
			<div class='from-range'>
				<h3><?php echo _DATE_FROM; ?></h3>
				<div id='fromRange' name='fromRange'></div>
			</div>
			<div class='to-range'>
				<h3><?php echo _DATE_TO; ?></h3>
				<div id='toRange' name='toRange'></div>
			</div>
			<ul class='quickDateRange'>
				<li class='set-lwa-datepicker lwa_today'><?php echo _TODAY; ?></li>
				<li class='set-lwa-datepicker lwa_yesterday'><?php echo _YESTERDAY; ?></li>
				<li class='set-lwa-datepicker lwa_last7days'><?php echo _LAST_7_DAYS; ?></li>
				<li class='set-lwa-datepicker lwa_last30days'><?php echo _LAST_30_DAYS; ?></li>
				<li class='set-lwa-datepicker lwa_thismonth'><?php echo _THIS_MONTH; ?></li>
				<li class='set-lwa-datepicker lwa_lastmonth'><?php echo _LAST_MONTH; ?></li>
				<li class='set-lwa-datepicker lwa_last3months'><?php echo _LAST_3_MONTHS; ?></li>
				<li class='set-lwa-datepicker lwa_thisyear'><?php echo _THIS_YEAR; ?></li>
				<li class='set-lwa-datepicker lwa_lastyear'><?php echo _LAST_YEAR; ?></li>
				<li class='set-lwa-datepicker lwa_alltime'><?php echo _ALL_TIME; ?></li>
			</ul>
		</div>
		<div class='lwa_datepicker_overlay'></div>
		<?php } ?>
	<?php	
	}
	
	function reportPanel() { 
		global $db, $dashboards, $reports, $reports_blocked, $profile, $session, $validUserRequired;
		if (empty($profile->tablename)) {
			return;
		}
		$q = $db->Execute("SELECT COUNT(*) FROM ". $profile->tablename);
		$rimt = $q->FetchRow(); # (R)ecords (I)n (M)ain (T)able
		if(!empty($rimt)) {
			$rimt = $rimt[0];
		} else {
			$rimt = 0;
		}
		
		$regip = $_SERVER['HTTP_HOST'];
		if (!$regip) {
			if ($HTTP_SERVER_VARS["SERVER_NAME"] != "") {
				$regip = $HTTP_SERVER_VARS["SERVER_NAME"];
			} else {
				$regip = $_SERVER['SERVER_ADDR'];
			}
		}
		
		if(isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] == "on"){
			$http = "https";
		} else {
			$http = "http";
		}
		$fullp = "$http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
		$fullp = str_replace("register.php", "getlicense.php", $fullp);
		?>
		<?php if(LOGAHOLIC_REPORT_STORE == true){ ?>
			<iframe id='info_frame' style='' src='<?php echo LOGAHOLIC_INFO_URL; ?>?domain=<?php echo $profile->confdomain; ?>&version=<?php echo LOGAHOLIC_VERSION_NUMBER; ?>&server=<?php echo $_SERVER['HTTP_HOST']; ?>&edition=<?php echo LOGAHOLIC_BASE_EDITION; ?>&rimt=<?php echo $rimt; ?>&ir=<?php echo _LOGAHOLIC_REGISTERED; ?>&ia=<?php echo $session->isAdmin(); ?>&vur=<?php echo $validUserRequired; ?>&regip=<?php echo $regip; ?>&fullp=<?php echo $fullp; ?>&status=<?php echo LOGAHOLIC_VERSION_STATUS; ?>&ru=<?php echo $this->ReturnURL(); ?>&rand=<?php echo rand(0, 999); ?>&affiliate_id=<?php echo $this->affiliate_id; ?>'></iframe>
		<?php } else if (LOGAHOLIC_BASE_EDITION == "cPanel Edition") { ?>
			<iframe id='info_frame' style='' src='<?php echo CPANEL_INFO_URL; ?>?version=<?php echo LOGAHOLIC_VERSION_NUMBER; ?>'></iframe>
		<?php } ?>
		
		<div id="report_panel">
			<div id="report_area_extension">
				<div class='report_options'>
					<span class='report_icon'><img src='images/pixel.gif'/></span>
					<div class='current_report'><label rel=''></label></div>
					<div class='current_options'></div>
				</div>
				<div class='report_area_usage_info' style='text-align: center; margin-top: 50px;'>
					<?php echo _CLICK_REPORT_ICON_TO_BEGIN; ?><br/>
					<img src='images/arrow_to_right.png' style='border: 0; margin-top: 50px; margin-bottom: 40px;' />
				</div>
				<div class='form_buttons'>
					<input id='closeReportOptions' class='noOption grey_submit' type='submit' value='<?php echo _CANCEL; ?>' />
				</div>
				<?php	######### Parameters Explained #########
						# rimt = (R)ecords (I)n (M)ain (T)able #
						# ia = (I)s (A)dmin					   #
						# ir = (I)s (R)egistered			   #
						# vur = (V)alid (U)ser (R)equired	   #
						######################################## ?>
				<?php /* <iframe id='info_frame' style='background: transparent; display: none; width: 312px; height: 300px; border: 0; padding: 0; margin: 0; overflow: hidden;' src='<?php echo LOGAHOLIC_INFO_URL; ?>?domain=<?php echo $profile->confdomain; ?>&version=<?php echo LOGAHOLIC_VERSION_NUMBER; ?>&server=<?php echo $_SERVER['HTTP_HOST']; ?>&edition=<?php echo LOGAHOLIC_BASE_EDITION; ?>&rimt=<?php echo $rimt; ?>&ir=<?php echo _LOGAHOLIC_REGISTERED; ?>&ia=<?php echo $session->isAdmin(); ?>&vur=<?php echo $validUserRequired; ?>&regip=<?php echo $regip; ?>&fullp=<?php echo $fullp; ?>&status=<?php echo LOGAHOLIC_VERSION_STATUS; ?>&rand=<?php echo rand(0, 999); ?>'></iframe> */ ?>
			</div>
			
			<div id="report_area">
				<input class='search_in_reports' type='text' />
				<div class='clear_search_reports'></div>
				
				<?php echo DashboardList($dashboards); ?>
				
				<h2 class='report-category search_results'><?php echo _SEARCH_RESULT ."<span title='"._OPEN_ALL_REPORTS_IN_THIS_CATEGORY_AS_YOUR_WORKSPACE."' class='open_search_category'>"._OPEN_REPORTS."</span></h2>"; ?></h2>
				<div class='no_search_results'><?php echo _NO_SEARCH_RESULTS; ?></div>
				<ul class='s_results'></ul>
				<?php echo ReportArea($reports, $reports_blocked); ?>
				<div class='clear'></div>
				<?php if(LOGAHOLIC_REPORT_STORE == true){ ?>
				<h2 class='store_featured report-category' style='display: none;'><img src='images/arrow_down_darkgrey_square.png' class='report-category-arrow'/>Report Store Recommendations<a href='<?php echo LOGAHOLIC_REPORT_STORE_LOCATION; ?>'><?php echo _GET_MORE_REPORTS; ?></a></h2>
				<ul class='featured_icons' style='display: none;'></ul>
				
				<div class='clear'></div>
				
				<a target='_blank' class='reportstore_button' href='<?php echo LOGAHOLIC_REPORT_STORE_LOCATION; ?>?logaholic_url=<?php echo $this->ReturnURL(); if(!empty($this->affiliate_id)) { echo "&tracking={$this->affiliate_id}"; } ?>'><span><span><?php echo _GET_MORE_REPORTS; ?></span></span></a>
				<?php } ?>
			</div>
			<div class='clear'></div>
		</div>
		<?php	
	}
	
	function ReturnURL() {
		global $profile;
		$pagename = substr($_SERVER["SCRIPT_NAME"],strrpos($_SERVER["SCRIPT_NAME"],"/")+1);
		$return_address = 'http';
		if (isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] == "on") { $return_address .= "s"; }
			$return_address .= "://";
		if ($_SERVER["SERVER_PORT"] != "80") {
			$return_address .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
		} else {
			$return_address .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
		}
		$return_address = urlencode(str_replace($pagename . "?" . $_SERVER["QUERY_STRING"], "", $return_address)."get_reports.php?conf=".$profile->profilename);
		return $return_address;
	}
	
	function AffiliateID() {
		if (!isset($this->affiliate_id)) {			
			if(!isset($_SESSION["affiliate_id"])){
				$_SESSION["affiliate_id"] = getGlobalSetting('affiliate_id');
			}
			$this->affiliate_id = $_SESSION["affiliate_id"];
		}
		return $this->affiliate_id;	
	}
	
	function NoAccess($message="") {
		global $baseurl;
		if (empty($message)) {
			$message = _SORRY_NO_PERMISSIONS;
		}
		$content = "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">".PHP_EOL;
		$content .= "<html xmlns=\"http://www.w3.org/1999/xhtml\">".PHP_EOL;
		$content .= "<head>".PHP_EOL;
		$content .= "	<meta name=\"ROBOTS\" content=\"NOINDEX, NOFOLLOW\" />".PHP_EOL;
		if(isset($baseurl) && ($baseurl)) { $content .= "<base href=\"{$baseurl}\">".PHP_EOL; }
		$content .= "	<title>".$message."</title>".PHP_EOL;		
		$content .= "	<link type=\"text/css\" rel=\"stylesheet\" href=\"templates/template_v3.css\" />".PHP_EOL;
		$content .= "	<link type=\"text/css\" rel=\"stylesheet\" href=\"components/jquery/css/lightness/jquery-ui-1.8.custom.css\" />".PHP_EOL;
		$content .= "</head>".PHP_EOL;
		$content .= "<body>".PHP_EOL;
		$content .= Notice($message,"width:400px;margin:0 auto;margin-top:20px").PHP_EOL;
		$content .= "</body>".PHP_EOL;
		$content .= "</html>".PHP_EOL;
		return $content;		
	}
	
}
?>