<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/
include_once "common.inc.php";
AccessCheck();

include_once "includes/emailalerts.php";

?>
<html>
<head>
<title>Email Alerts</title>
</head>
<link type="text/css" href="templates/template_v3.css" rel="stylesheet">
<link type="text/css" href="components/jquery/css/lightness/jquery-ui-1.8.custom.css" rel="stylesheet">
<script type="text/javascript" src="components/jquery/js/jquery-1.7.1.min.js"></script>
<style>
    BODY { margin-right:8px;margin-left:8px;margin-top:10px; }
    H3 { font-size: 16px;}    
    #emailalerts DIV{ padding:5px; } 
    #emailalerts label{ vertical-align:top;float:left;width:120px; }
    #emailalerts #submit { font-size:14px;margin:10px 5px 5px 60px;padding-left:20px;padding-right:20px; }
    #alerttable { border: 1px solid silver; border-collapse: collapse; width:100%;}
    #alerttable TH { background-color: #E0E0E0; border: 1px solid silver; text-align: left; padding:4px 4px 4px 8px; }
    #alerttable TD { border: 1px solid silver; padding:8px; vertical-align: top; } 
    #emailalerts_infograph_notice { display:none; }
</style>
<body>

<?php
if ($validUserRequired && !$session->canEditProfiles()) {
	echoWarning(_NO_PERMISSION_EDIT_PROFILE, "margin:10px;");
	exit();
} 
 
$e = new EmailAlerts(); 

if (isset($_GET['testalerts'])) {
    $test=true;
	$salerts = $e->SendAlerts($test);
	if(!empty($salerts)){
		foreach ($salerts as $message) {
			echo $message;
		}
	}

    if($e->send == 0){
		echoNotice(_NOTHING_TO_SEND);
	}
}

if (isset($_GET['del'])) {
    $e->DeleteAlert($_GET['del']);    
}

if (!empty($_POST['email']) && !empty($_POST['emailinterval'])) {
    $e->StoreAlert($_POST);      
}
$e->ShowAlerts();
$e->CreateAlert();

$e->FootNote(); 
?>
