<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
if(!defined('APP_INCLUDE')){ die('invalid inclusion'); }

if (isset($edit) || isset($new)) {
    if ($validUserRequired && @$session->canEditProfiles()===false) {
        echo "<div class=indentbody>";
        echoWarning(_NO_PERMISSION_EDIT_PROFILE);
        echo "<a class=\"extrabuttons ui-state-default ui-corner-all\" href=\"javascript:history.back();\">Go Back</a>";
        echo "</div>";
        return;
    }

    if(empty($editprofile->profileid) && !isset($new)){
        echo "<div class=indentbody>";
        echoWarning("You can't edit a profile that does not exists.");
        echo "<a class=\"extrabuttons ui-state-default ui-corner-all\" href=\"javascript:history.back();\">Go Back</a>";
        echo "</div>";
        return;
    }
	
	if (isset($new)) {
		// Find our current temp file path.
		$real_path = realpath("index.php");
		$path = dirname($real_path);
		$label=_CREATE_NEW_PROFILE;
	} else {
		$label=_EDIT_PROFILE;
	}
	?>
	<div class=indentbody>
	<script language="JavaScript" type="text/javascript">
		function OpenEmailAlertsDialog(){
			$( "#emailalerts" ).dialog({
				autoOpen: false,
				modal: true,
				width:800,
				height:500
			});
		
			url = "emailalerts.php?conf=<?php echo $editprofile->profilename; ?>";
			$("#emailalerts").dialog("open");
			$("#emailalerts_iframe").attr('src',url);
			return false;
		}
	
		function tracktoggle() {
			if (document.getElementById('inst').style.display=="block") {
				document.getElementById('inst').style.display="none";
				document.getElementById('codesp').style.display="block";
			} else {
				document.getElementById('inst').style.display="block";
				document.getElementById('codesp').style.display="none";
			}
		}
		
    function trackerclickon() {
       document.getElementById('trackersettings').style.display="block";
       document.getElementById('restsettings').style.display="block";
       document.getElementById('logfilesettings').style.display="none";
       document.getElementById('filefiltersettings').style.display="none";
       document.getElementById('dataexplain').style.display="none";
       document.getElementById('ftpsettings').style.display="none";
    }
    
    function fcookietracker(trackermode) {
        if (trackermode!=1) {
           if (document.getElementById('profileform').visitoridentmethod.value !='3') {
            document.getElementById('cookietracker').style.display="none";
           } else {
            document.getElementById('cookietracker').style.display="block";
           }     
        }
                 
    }   
    
    
    function ftpclick() {
       document.getElementById('trackersettings').style.display="none";
       document.getElementById('ftpsettings').style.display="block";
       document.getElementById('restsettings').style.display="block";
       document.getElementById('filefiltersettings').style.display="block";
       document.getElementById('logfilesettings').style.display="none";
       document.getElementById('dataexplain').style.display="none";
    }
    
    function trackerclickoff() {
       document.getElementById('trackersettings').style.display="none";
       document.getElementById('logfilesettings').style.display="block";
       document.getElementById('restsettings').style.display="block";
       document.getElementById('filefiltersettings').style.display="block";
       document.getElementById('dataexplain').style.display="none";
       document.getElementById('ftpsettings').style.display="none";
    }
    
    function oldtrackerclick() {
		if (self.document.forms.profileform.logfilefullpath.disabled==true) {
			self.document.forms.profileform.logfilefullpath.disabled=false;
			self.document.forms.profileform.splitlogs.disabled=false;
			self.document.forms.profileform.splitfilter.disabled=false;
			self.document.forms.profileform.codespace.disabled=true;
			
			self.document.forms.profileform.skipfiles.disabled=false;
			self.document.forms.profileform.skipfiles.value='.gif, .jpg, .jpeg, .xml, .css, .txt, .ico, .js, .png, .dll, .txt, logaholic/';
			
		} else {
			// when tracker is selected
			self.document.forms.profileform.logfilefullpath.disabled=true;
			self.document.forms.profileform.splitlogs.disabled=true;
			self.document.forms.profileform.splitfilter.disabled=true;
			self.document.forms.profileform.codespace.disabled=false;
			
			self.document.forms.profileform.skipfiles.disabled=true;
			
			
		}
		tracktoggle();
	}
	
	// Don't allow special characters to be entered into form.
	function noSpecialChars(e)
	{
		var keynum
		var iChars = " !@#$%^&*()+=-[]\\\';,./{}|\":<>?"; // Invalid characters.
		
		if	(window.event) { keynum = e.keyCode; } // IE
		else if (e.which) { keynum = e.which; } // Netscape/Firefox/Opera
					
		return (iChars.indexOf(String.fromCharCode(keynum)) == -1);
	}
    
    function Profile(sel) {
      document.getElementById('general_li').className="page_item";
      document.getElementById('data_li').className="page_item";
      document.getElementById('performance_li').className="page_item";
      document.getElementById('automation_li').className="page_item";
      document.getElementById('advanced_li').className="page_item";
      document.getElementById('dynamicpages_li').className="page_item";
      document.getElementById('feeds_li').className="page_item";

      <?php if ($session->isAdmin() || $session->canAddProfiles()) { ?>
      document.getElementById('datamanager_li').className="page_item";
      <?php } ?>

      document.getElementById(sel).className="current_page_item";
      self.document.forms.profileform.tab.value=sel;
      
    }
   
    function ProfileC(sel) {
      document.getElementById('general').className="tabcenter";
      document.getElementById('data').className="tabcenter";
      document.getElementById('performance').className="tabcenter";
      document.getElementById('automation').className="tabcenter";
      document.getElementById('advanced').className="tabcenter"; 
      document.getElementById('dynamicpages').className="tabcenter";
      document.getElementById('feeds').className="tabcenter";

      <?php if ($session->isAdmin() || $session->canAddProfiles()) { ?>
      document.getElementById('datamanager').className="tabcenter";
      <?php } ?>

      document.getElementById(sel).className="selectedtabcenterbold";
  
    }
    
    function ProfileForm(sel) {
      document.getElementById('generalfp').style.display="none";
      document.getElementById('datafp').style.display="none";
      document.getElementById('performancefp').style.display="none";
      document.getElementById('automationfp').style.display="none";
      document.getElementById('advancedfp').style.display="none";
      document.getElementById('dynamicpagesfp').style.display="none";
      document.getElementById('feedsfp').style.display="none"; 

      <?php if ($session->isAdmin() || $session->canAddProfiles()) { ?>
      document.getElementById('datamanagerfp').style.display="none"; 
      <?php } ?>

      document.getElementById(sel).style.display="block";
    }
    
    	
	</script>
	<?php
	
	$real_path = realpath("index.php");
	$rpath = dirname($real_path);
	
	if (isset($saved)) {
		echo $saved;
	}
	if (!@$step) {
        ?>
        <img src="images/icons/edit.gif" alt="Edit" width=16 height=16 align=left border=0 title="<?php echo $editprofile->structure_version;?>"><font size=3><b><?php echo $label; ?>: <font color=red><?php if (!isset($new)) { echo $editprofile->profilename; }?></font></b></font>
        <?php
    }
	?>
	<br><br>
	<div class=menubar style="width:98%;margin:0px;">
    <ul id="menu">
    <li class=current_page_item id="general_li" onclick="Profile('general_li');ProfileC('general');ProfileForm('generalfp');"><a><span id="general" class=selectedtabcenterbold><?php echo _GENERAL_SETTINGS;?></span></a></li>
    
    <li class=page_item id="data_li" onclick="Profile('data_li');ProfileC('data');ProfileForm('datafp');"><a><span id="data" class=tabcenter><?php echo _DATA_COLLECTION;?></span></a></li>
    
    <li class=page_item id="performance_li" onclick="Profile('performance_li');ProfileC('performance');ProfileForm('performancefp');"><a><span id="performance" class=tabcenter><?php echo _KPIS;?></span></a></li>
    
    <li class=page_item id="feeds_li" onclick="Profile('feeds_li');ProfileC('feeds');ProfileForm('feedsfp');"><a><span id="feeds" class=tabcenter>Feeds</span></a></li>  
  
    <li class=page_item id="dynamicpages_li" onclick="Profile('dynamicpages_li');ProfileC('dynamicpages');ProfileForm('dynamicpagesfp');"><a><span id="dynamicpages" class=tabcenter><?php echo _DYNAMIC_PAGES;?></span></a></li>
    <?php
     
    ?><li class=page_item id="automation_li" onclick="Profile('automation_li');ProfileC('automation');ProfileForm('automationfp');"><a><span id="automation" class=tabcenter><?php echo _AUTOMATION;?></span></a></li>
    <?php
    
    ?>
    <li class=page_item id="advanced_li" onclick="Profile('advanced_li');ProfileC('advanced');ProfileForm('advancedfp');"><a><span id="advanced" class=tabcenter><?php echo _ADVANCED;?></span></a></li>
   
    <?php if ($session->isAdmin() || $session->canAddProfiles()) { ?>
	<li class=page_item id="datamanager_li" onclick="Profile('datamanager_li');ProfileC('datamanager');ProfileForm('datamanagerfp');"><a><span id="datamanager" class=tabcenter><?php echo "Datamanager";?></span></a></li>
	<?php } ?>
	
    
  		</ul>
    </div>
      
	<form method="post" id="profileform">
    <input type=hidden name=tab value="<?php echo @$tab;?>">
  <div id="generalfp" class=editprofile style="float:left;">
	<br>	
	<table cellpadding=6 cellspacing=5 border=0 width="95%">
	<tr><td colspan=3 class=dotline><?php echo _ENTER_GENERAL_SETUP_INFO;?>:<br>&nbsp;</td></tr>
	<tr><td width=130 valign=top class="dotline"><?php echo _PROFILE_NAME;?>:</td><td valign=top class="dotline">
	<?php if (!$validUserRequired || $session->canAddProfiles()) { ?>
		<input size=40 onkeypress="return noSpecialChars(event)" onblur="return noSpecialChars(event)" type=text name="newconfname" value="<?php echo $editprofile->profilename; ?>">
	<?php } else { 
		echo "<input type=hidden name=newconfname value=\"$editprofile->profilename\">$editprofile->profilename";
	} ?>
	</td>
	<td class=dotlinegraytext>
	<?php echo _NAME_THIS_PROFILE; 
	?></td></tr>
	
	<tr><td valign=top class="dotline"><?php echo _DOMAIN_NAME;?>:</td><td valign=top class="dotline"><input size=40 type=text name=confdomain value="<?php  echo $editprofile->confdomain;  ?>"></td>
	<td class=dotlinegraytext><?php echo _DOMAIN_NAME_EXPLAIN;?></td></tr>
	
	<tr><td valign=top class="dotline"><?php echo _EQUIVALENT_SUBDOMAINS;?>:</td><td valign=top class="dotline"><input size=40 type=text name=equivdomains value="<?php  echo $editprofile->equivdomains;  ?>"><br><?php echo _EQUIVALENT_SUBDOMAINS_EXPLAIN;?></tr>
	
	<?php
	$p_status = $editprofile->activated;	
	?>
	<tr>
		<td valign=top class="dotline"><?php echo _PROFILE . " " ._STATUS;?>: </td>
		<td valign=top class="dotline">
			<select name='ActivatedProfile'>
				<option value=1 <?php if($p_status == 1){ echo "selected='selected'"; } ?> ><?php echo _ACTIVATED;?></option>
				<option value=0 <?php if($p_status == 0){ echo "selected='selected'"; } ?> ><?php echo _DEACTIVATED;?></option>
			</select>
		</td>
		<td valign=top class="dotline"></td>
	</tr>
	
	<tr><td valign=top class="dotline"><?php echo _DEFAULT_FILE;?>:</td><td valign=top class="dotline">
  	<input size=40 type=text name=defaultfile value="<?php echo $editprofile->defaultfile; ?>">
  	</td>
  	<?php echo _DEFAULT_FILE_EXPLAIN;?>	
	
	
	<tr><td colspan=3><input type=button value="<?php echo _NEXT;?>" onclick="Profile('data_li');ProfileC('data');ProfileForm('datafp');">
	<?php
    if (@$new==1) {
        echo "<input name=save type=submit value='" . _SAVE . "' disabled>";
    } else {
       echo "<input name=save type=submit value='" . _SAVE . "'>";    
    }
    ?>
    </td></tr>
  </table>
</div>  


<div id="datafp" class=editprofile style="display:none;float:left;">
  <br>
  <?php if (!$validUserRequired || $session->canAddProfiles()) { ?>
  <table cellpadding=6 border=0 width="95%">
    <!-- DATA COLLECTION SELECTOR -->
	<tr id="dataexplain"><td valign=top><font color=gray><?php echo _CHOOSE_HOW_TO_COLLECT;?></font></td></tr>
  	<tr><td class="dotline"><?php echo _DATA_COLLECTION_METHOD;?>: &nbsp;&nbsp;&nbsp;
    <?php
    if (!IS_PHPDOCK) {
        ?>
        <input type=radio onclick="trackerclickon();" name="trackermode" id="trackermode" value="1" <?php if ($editprofile->trackermode==1) { echo "checked"; } ?>> <?php echo _JS_BASED_TRACKING.' '._OR;
    }    
    ?>
    <input type=radio onclick="trackerclickoff();" name="trackermode" id="trackermode" value="0" <?php if (!isset($new) && $editprofile->trackermode==0) { echo "checked"; } ?>> <?php echo _LOG_ANALYSIS_LOCAL.' '._OR;?>
    <input type=radio onclick="ftpclick();" name="trackermode" id="trackermode" value="2" <?php if (!isset($new) && $editprofile->trackermode==2) { echo "checked"; } ?>> <?php echo _LOG_ANALYSIS_FTP;?></td></tr></table><br>
    <?php } else { echo "<span id='dataexplain'><input type=hidden name=\"trackermode\" value=\"{$editprofile->trackermode}\"></span>";} ?>
	<!-- DATA COLLECTION SELECTOR END -->
  	<div id="logfilesettings" style="display:none;">
  	<table cellpadding=6 border=0 width="95%">
    <?php if (!$validUserRequired || $session->canAddProfiles()) { ?>
  	<tr><td valign=top class="dotline" width="110">
            <?php echo _LOG_FILE_LOCATION;?>:<br />
        </td><td valign=top width="390" class="dotline">
        <input size=40 onkeyup="showHint(this.value)" onfocus="showHint(this.value)" type=text name="logfilefullpath" id="logfilefullpath" value="<?php echo $editprofile->logfilefullpath; ?>">  
        <button id="open_uploadfiles" style="margin-left:20px;"><?php echo "Upload files"; ?></button><p>
        <strong>Hint:</strong><br>
        <div id="txtHint" style='max-height: 250px; overflow: auto;border: 1px solid #e0e0e0; padding:2px;'> <?php echo _FULL_ABSOLUTE_PATH;?>: <font color=green><?php echo logaholic_dir();?></font><br><?php echo _LOGFILE_USUALLY_FEW_DIRS_BACK;?></div>
        </td>
        <td class=dotlinegraytext valign=top><?php echo _FULL_ABSOLUTE_PATH_EXPLAIN;?></td>
  	</tr>  	
	<?php
      	include_once "logparser.inc.php";
	?>
	<tr>
		<td><?php echo _LOG_PARSER_TYPE; ?>:</td>
		<td><select name='log_parser_type'><?php
      $logparsertype = $editprofile->logparsertype;
			
			if(!empty($logparsertype) && $logparsertype != "auto"){
				echo "<option value='$logparsertype'>$logparsertype</option>"; 
			}
			echo "<option value='auto'>". _AUTO_DETECT ."</option>"; 		
			foreach($log_parser_types as $type){
				if($type["ClassName"] != $logparsertype){
					echo "<option value='". $type["ClassName"] ."'>" . $type["ClassName"] . "</option>";
				}
			}	

		?></select></td>
		<td class=dotlinegraytext valign=top><?php echo _LOG_PARSER_TYPE_DESC; ?></td>
	</tr>
	<?php
    } else {
        echo "<tr><td colspan=3 class=dotline><input type=hidden name=\"splitlogs\" value=\"$editprofile->splitlogs\"><input type=hidden name=\"recursive\" value=\"$editprofile->recursive\"></td></tr>";    
    
    } 
	?>
	</table> 
  	</div>    
    
    <div id="trackersettings" style="display:none;float:left">  
    <table cellpadding=6 border=0 width="95%">
        <?php   
        echo "<tr><td colspan=3 class=dotline>"._PLACE_JS_TO_COLLECT."<br><br></td></tr>";
		?>
    <tr>
      <td width="110" valign=top class="dotline"><?php echo _COPY_TRACKING_CODE;?></td>
      <td width="390" class="dotline">
      <?php
        $w_path = $_SERVER['PHP_SELF'];
        $wpath = dirname($w_path);
        $prestyle = "style='margin:0px;font-family: Arial; font-size: 11px; width:400px;white-space: pre-wrap; white-space: -moz-pre-wrap; white-space: -pre-wrap; white-space: -o-pre-wrap; word-wrap: break-word;'";
        $codespace="<pre $prestyle>&lt;!-- /* Logaholic Web Analytics Code */ --&gt;&lt;script type=\"text/javascript\"&gt; 
var lwa_id = \"$editprofile->tablename\";
if (document.location.protocol==\"https:\") { var ptcl = \"https:\" } else { var ptcl = \"http:\" }
var lwa_server = ptcl + \"//$_SERVER[HTTP_HOST]$wpath/\";
document.write(unescape(\"%3Cscript type='text/javascript' src='\" + lwa_server + \"lwa.js'%3E%3C/script%3E\"));
&lt;/script&gt;
&lt;script type=\"text/javascript\"&gt;
var lwa = trackPage();
&lt;/script&gt;
&lt;noscript&gt;&lt;a href=\"http://$_SERVER[HTTP_HOST]$wpath/logaholictracker.php?conf=$editprofile->tablename\"&gt;&lt;img src=\"http://$_SERVER[HTTP_HOST]$wpath/logaholictracker.php?conf=$editprofile->tablename\" alt=\"web stats\" border=\"0\" /&gt;&lt;/a&gt; &lt;a href=\"http://www.logaholic.com/\"&gt;Web Analytics&lt;/a&gt; by Logaholic&lt;/noscript&gt;</pre>";

        
        if ($conf=="newcnf") {
            $codespace=_SAVE_THIS_PROFILE_FIRST;
        }
      ?>
        <div id="copy_tracking_div" style='width:400px; height:auto; border:1px solid silver; font-size:11px; background:#FFF;'><?php echo $codespace; ?></div><br><font size=1><?php echo _CLICK_TO_SELECT_ALL_CTRLC_TO_COPY;?></font><br><br>
       
      </td>
      <td class=dotlinegraytext valign=top> <?php echo _COPY_CODE_EXPLAIN;?>
        <script type='text/javascript'>		
		$("#copy_tracking_div").live("click",function(){
			SelectText("copy_tracking_div");
		});
		</script>
		</td>
      </tr>
      </table>
      </div>
    
    
    <div id="ftpsettings" style="display:none;">
    <?php
	ob_start();
	
	if (_LOGAHOLIC_EDITION != 4 && LOGAHOLIC_BASE_EDITION != "cPanel Edition") {
		include "includes/upload_dir.php";
		$ud = new UploadDir();
		if ($ud->isUploadDirSafe()==false) {
			echo "<div style=\"padding:5px;\">";
			echoWarning($ud->SecurityWarning());
			echo "</div>";        
		}
    ?>
      <table cellpadding=6 border=0 width="95%">
      <?php if (!$validUserRequired || $session->canAddProfiles()) { ?>
      <tr><td valign=top width="110" class="dotline"><?php echo _FTP_SERVER_NAME;?>:</td><td valign=top width="390" class="dotline">
      <input size=40 type=text name="ftpserver" id="ftpserver" value="<?php echo $editprofile->ftpserver; ?>" onblur="showHint('')"><p>
      </td>
      <td class=dotlinegraytext valign=top><?php echo str_replace("%a",$ud->getUploadDir().$editprofile->profilename, _FTP_SERVER_NAME_EXPLAIN);?>
      </td>
      </tr>
      <tr><td valign=top  width="110" class="dotline"><?php echo _FTP_USER_NAME;?>:</td><td valign=top  width="390" class="dotline">
      <input size=40 type=text name="ftpuser" id="ftpuser" value="<?php echo $editprofile->ftpuser; ?>" onblur="showHint('')"><p>
      </td>
      <td class=dotlinegraytext valign=top><?php echo _FTP_USER_NAME_EXPLAIN;?><p>
      </td>
      </tr>
      <tr><td valign=top  width="110" class="dotline"><?php echo _FTP_PASSWORD;?>:</td><td valign=top  width="390" class="dotline">
      <input size=40 type=password name="ftppasswd" id="ftppasswd" value="<?php echo $editprofile->ftppasswd; ?>" onblur="showHint('')"><p>
      </td>
      <td class=dotlinegraytext valign=top><?php echo _FTP_PASSWORD_EXPLAIN;?><p>
      </td>
      </tr>
      <tr><td valign=top  width="110" class="dotline"><?php echo _FTP_LOG_LOCATION;?>:</td><td valign=top  width="390" class="dotline">
      <input size=40 onkeyup="showHint(this.value)" onfocus="showHint(this.value)" type=text name="ftpfullpath" id="ftpfullpath" value="<?php echo $editprofile->ftpfullpath; ?>"><p>
      <div id="ftpHint" style='max-height: 250px; overflow: auto;border: 1px solid #e0e0e0; padding:2px;'></div>      
      </td>
      <td class=dotlinegraytext valign=top><?php echo _FTP_LOG_LOCATION_EXPLAIN;?>
      </td>
      </tr>
      <?php 
		include_once "logparser.inc.php";
	  ?>
	  <tr>
		<td><?php echo _LOG_PARSER_TYPE; ?>:</td>
		<td><select name='log_parser_type'><?php
			$logparsertype = $editprofile->logparsertype;
			
			if($logparsertype != false && $logparsertype != "auto"){
				echo "<option value='$logparsertype'>$logparsertype</option>"; 
			}
			echo "<option value='auto'>". _AUTO_DETECT ."</option>"; 		
			foreach($log_parser_types as $type){
				if($type["ClassName"] != $logparsertype){
					echo "<option value='". $type["ClassName"] ."'>" . $type["ClassName"] . "</option>";
				}
			}	
		
		?></select></td>
		<td class=dotlinegraytext valign=top><?php echo _LOG_PARSER_TYPE_DESC; ?></td>
	  </tr>
	  <?php } ?>
    </table> 
	<?php
		$ftptab = ob_get_clean();
		echo $ftptab;
	}
	?>
  </div>

      
    <div id="filefiltersettings" style="display:none;float:left">
    <?php if (!$validUserRequired || $session->canAddProfiles()) { ?>  
    <table cellpadding=6 border=0 width="95%">
    <tr><td valign=top width="110" class="dotline"><?php echo _MULTIPLE_LOGFILES; ?>:</td><td valign=top width="390" class="dotline"><!--<input id="splitlogsCheckbox" type=checkbox name="splitlogs" value="1" <?php //if ($editprofile->splitlogs==1) { //echo "checked"; } ?>> <?php //echo _LOGS_ARE_SPLIT;?><p>-->
    <input type=checkbox name="recursive" value="1" <?php if ($editprofile->recursive==1) { echo "checked"; } ?>> <?php echo _RECURSIVELY_SEARCH_DIRS;?><br>
      <P><?php echo _FILTER_OPTIONAL_ONLY_ANALYZE_MATCH;?>:<br><input size=20 type=text name="splitfilter" id="splitfilter" value="<?php echo $editprofile->splitfilter; ?>" onkeyup="showHint('')"> <?php echo _BUT_NOT;?><br>
      <input size=20 type=text name="splitfilternegative" id="splitfilternegative" value="<?php echo $editprofile->splitfilternegative; ?>" onkeyup="showHint('')"><br>
      <font size=1><br>&nbsp;</font></td>
      <td class=dotlinegraytext valign=top><?php echo _ONLY_ANALYZE_MATCH_CAUTION;?> </td>
    </tr></table>
    <?php } ?>
    </div>
    
  	<div id="restsettings" style="display:none;float:left;">
  	<table cellpadding=6 border=0 width="95%">
    <tr>
      <td valign=top width="110" class="dotline"><?php echo _SKIP_IPNUMBERS;?>:</td>
      <td valign=top width="390" class="dotline">
        <textarea rows=5 cols=50 name=skipips><?php echo $editprofile->skipips; ?></textarea>
		<script type="text/javascript">
		var skipiptimeout;
		$("textarea[name='skipips']").keyup(function(){
			var skipip_field = $(this);
			if(skipiptimeout !== undefined){
				clearTimeout(skipiptimeout);
			}
			skipiptimeout = setTimeout(function(){
				$.ajax({
					type: 'POST',
					url: "includes/check_skipipnumbers.php",
					data: {
					"q" : skipip_field.val()
					},
					success: function(result) {
						if(parseInt(result) != 1){
							$(".skip_ipnumbers_errors").html(result);
						} else {
							$(".skip_ipnumbers_errors").html('');
						}
					}
				});
			},1000); 

		});
		</script>
		<p class="skip_ipnumbers_errors"></p>
      </td>
      <td class=dotlinegraytext><?php echo _SKIP_IP_NUMBERS_EXPLAIN;?> <a href="profiles.php?editconf=<?php echo $editconf; ?>&amp;del=9&amp;fldname=ipnumber"><?php echo _CLICK_HERE;?></a></td>
    </tr>
    
    <tr><td valign=top width="110" class="dotline"><?php echo _SKIP_FILES;?>:</td><td valign=top width="390" class="dotline"><textarea rows=5 cols=50 name=skipfiles><?php echo $editprofile->skipfiles; ?></textarea><p></td>
    <td class=dotlinegraytext><?php echo _SKIP_FILES_EXPLAIN;?> <a href="profiles.php?editconf=<?php echo $editconf; ?>&amp;del=9&amp;fldname=page"><?php echo _CLICK_HERE;?></a></td></tr>
    
    <?php if (!$validUserRequired || $session->isAdmin()) { ?> 
	<tr>
		<td valign=top width="110" class="dotline"><?php echo _READ_URLS; ?></td>
		<td valign=top width="390" class="dotline">
			<select name="caseinsensitiveurls">
				<option value="0" <?php if ($editprofile->caseinsensitiveurls==0) { echo "selected='selected'"; } ?> ><?php echo _CASE_SENSITIVE; ?></option>
				<option value="1" <?php if ($editprofile->caseinsensitiveurls==1) { echo "selected='selected'"; } ?> ><?php echo _CASE_INSENSITIVE; ?></option>
			</select>
		</td>
		<td class=dotlinegraytext>
		<?php echo _READ_URLS_EXPLAIN_PART1; ?>
		<ul> 
			<li>1 : http://google.com</li>
			<li>2 : http://GooGle.com</li>
		</ul>
		<?php echo _READ_URLS_EXPLAIN_PART2; ?>
		</td>
	</tr>
	<?php } ?>

    <tr><td valign=top width="110" class="dotline"><?php echo _STRIP_URL_PARAMS;?>:</td><td valign=top width="390" class="dotline"><textarea rows=5 cols=50 name=urlparamfilter><?php echo $editprofile->urlparamfilter; ?></textarea><br>
    <input name="urlparamfiltermode" type=radio value="Exclude" <?php if ($editprofile->urlparamfiltermode=="Exclude") {echo "checked";}?>> <?php echo _EXCLUDE_RECOMMENDED;?>
    <br><input name="urlparamfiltermode" type=radio value="Include" <?php if ($editprofile->urlparamfiltermode=="Include") {echo "checked";}?>> <?php echo _INCLUDE_DANGEROUS;?> 
    </td>
    <td class=dotlinegraytext><?php echo _STRIP_URL_PARAMS_EXPLAIN;?></td></tr>
 
    <tr><td valign=top width="110" class="dotline"><?php echo _GOOGLE_PARAMETERS;?>:</td><td valign=top width="390" class="dotline"><textarea rows=2 cols=50 name="googleparams"><?php echo $editprofile->googleparams; ?></textarea><p></td>
    <td class=dotlinegraytext><?php echo _GOOGLE_PARAMETERS_EXPLAIN;?> </td></tr>

	<tr><td colspan=3><input type=button value="<?php echo _NEXT;?>" onclick="Profile('performance_li');ProfileC('performance');ProfileForm('performancefp');">
    <input name=save type=submit value="<?php echo _SAVE;?>">
    </td></tr>
    </table>
    </div>
    
    
  	
    <script language="javascript" type="text/javascript">
  	<?php 
    if (!isset($new)) {
      if ($editprofile->trackermode!=1) { 
        echo "trackerclickoff();";
        if ($editprofile->trackermode==2) { 
            echo "ftpclick();";
        } 
      } else {
        echo "trackerclickon();";
      }
    }
    ?>
  	</script>

</div>


  <div id="performancefp" class=editprofile style="display:none;float:left;">
    <br>
    <table cellpadding=6 border=0 width="95%">
    <tr>
        <td colspan=3 class=dotline><?php echo _KPI_COMPLETE_INFO;?>:<br>
        </td>
    </tr>
    <tr><td valign=top class="dotline"><?php echo _TARGET_PAGES;?>:</td><td valign=top class="dotline"><textarea cols=40 rows=10 name=targetfiles><?php echo $editprofile->targetfiles; ?></textarea></td>
      	<td class=dotlinegraytext valign=top>
         <?php
        if(CheckSubscriptionOption('KPI_Limit')) {
          echo "You can insert a maximum of {$session->subscription['Options']['KPI_Limit']['value']} KPI's. Only the first {$session->subscription['Options']['KPI_Limit']['value']} KPI's can be saved.";
          echo "<br/><br/>";
        }
        ?>
          <?php echo _TARGET_PAGES_EXPLAIN; ?> 
          <a href="http://www.logaholic.com/manual/profile-configuration/kpis/" target=_blank><?php echo _READ_THIS;?></a>.
        </td>
    </tr>
    <tr><td colspan=3><input type=button value="<?php echo _NEXT;?>" onclick="Profile('feeds_li');ProfileC('feeds');ProfileForm('feedsfp');">
    <input name=save type=submit value="<?php echo _SAVE;?>"></td></tr>    
    </table>
  </div>
  
  
  <div id="automationfp" class=editprofile style="display:none;float:left;">
  <br>
  <table cellpadding=6 border=0 width="95%">
  <tr><td colspan=3  class="dotline">
  <b><?php echo _AUTOMATE_UPDATING_OF_STATS;?></b><br><br>
  
  <?php
  if (!$validUserRequired || $session->isAdmin()) {
  ?>
  <?php echo _AUTOMATE_UPDATING_OF_STATS_1;?> <a href="http://www.logaholic.com/manual/LogaholicManual/AutomatingUpdates" target=_blank><b><?php echo _IN_THE_MANUAL;?></b></a>.
  <?php echo _EXAMPLE_OF_CRON_JOB; ?> 
 
  <p style="padding:8px;"><span style="margin-left:30px;border:1px solid silver;padding:8px;"><?php 
  $w_path = $_SERVER['PHP_SELF'];
  $wpath = dirname($w_path);
  echo "<b>*/60 * * * * wget -q -O /dev/null \"http://$_SERVER[HTTP_HOST]$wpath/update.php?conf=$editprofile->profilename\"</b>";
  ?>
  </span></p>
  <P><?php echo _MULTIPLE_WAYS_TO_AUTOMATE_1;?> <a href="http://www.logaholic.com/manual/LogaholicManual/AutomatingUpdates" target=_blank><?php echo _IN_THE_MANUAL;?></a> <?php echo _MULTIPLE_WAYS_TO_AUTOMATE_2;?>.</p>
  <?php
  } else { echo _AUTOMATED_HANDLING_BY_ADMIN; }  
  ?>
  </td></tr>
  
  <?php if(getGlobalSetting("ToggleEmailAlerts",1) == 1){ ?>
  <tr><td colspan=3  class="dotline">
  <p><strong><?php echo _EMAIL_ALERTS; ?></strong></p>
  <?php echo _EMAIL_ALERTS_EXPLAIN; ?>  
  
  <button id="open_emailalerts" onclick="OpenEmailAlertsDialog(); return false;" style="margin-left:30px;"><?php echo _MANAGE_EMAIL_ALERTS; ?></button>
  
  <P><?php echo _EMAIL_ALERTS_EXPLAIN_2; ?></p>  
  
  <div id="emailalerts" title="<?php echo _MANAGE_EMAIL_ALERTS; ?>" style="margin:0px;padding:0px;"><iframe id="emailalerts_iframe" width="100%" height="100%" scrolling="auto" marginWidth="0" marginHeight="0" frameBorder="0"></iframe></div>

  </td></tr>
  <?php } ?>
  <tr><td colspan=3><input type=button value="<?php echo _NEXT;?>" onclick="Profile('advanced_li');ProfileC('advanced');ProfileForm('advancedfp');">
  <input name=save type=submit value="<?php echo _SAVE;?>"></td></tr>
  </table>
  </div>
  
  
  <div id="advancedfp" class=editprofile style="display:none;float:left;">	
    <br><table cellpadding=6 border=0 width="95%">
    <tr><td colspan=3 class=dotline><?php echo _OPTIONAL_ADV_SETTINGS;?><br>&nbsp;</td></tr>
    
    <?php
	if (_LOGAHOLIC_EDITION == 4 || LOGAHOLIC_BASE_EDITION == "cPanel Edition") {
		?>
		<tr><td valign=top class="dotline"><?php echo "Backup Logaholic Data";?>:</td><td valign=top class="dotline">
		<input size=40 type=radio name=includebackup value="1" <?php if ($editprofile->includebackup) { echo "checked"; } ?>> <?php echo _RC_ON;?> <input size=40 type=radio name=includebackup value="0" <?php if (!$editprofile->includebackup) { echo "checked"; } ?>> <?php echo _RC_OFF;?>  
		</td>
		<td class=dotlinegraytext width="35%"><?php echo "Select 'On' if you want to include the data from this profile in your cPanel Backup.";?></td></tr>
  		<?php
	}
	
	?> 	  	
  	<tr><td valign=top class="dotline"><?php echo _ANIMATE_FLASH_GRAPHS;?>:</td><td valign=top class="dotline">
  	<input size=40 type=radio name=animate value="0" <?php if (!$editprofile->animate) { echo "checked"; } ?>> <?php echo _RC_ON;?> <input size=40 type=radio name=animate value="1" <?php if ($editprofile->animate) { echo "checked"; } ?>> <?php echo _RC_OFF;?> 
  	</td>
  	<td class=dotlinegraytext width="35%"><?php echo _ANIMATE_FLASH_GRAPHS_EXPLAIN;?></td></tr>
  	
  
    <?php    
    if (function_exists("date_default_timezone_get")) {
        ?>
        <tr><td valign=top class="dotline"><?php echo _REPORTING_TIMEZONE; ?>:</td><td valign=top class="dotline">
        <select name="timezone">
        <?php
        if (!$editprofile->timezone) { $editprofile->timezone = date_default_timezone_get(); }        
        $zones = file('includes/timezones.txt');
        foreach ($zones as $zone) {
            $zone=trim($zone);
            echo "<option value=\"$zone\" ".($editprofile->timezone == $zone ? 'SELECTED' : '').">$zone</option>\n";            
        }
        ?>
        </select>
        </td>
        <td class=dotlinegraytext width="35%"><?php echo _THE_DEAULT_TIMEZONE_ON_THIS_SYSTEM_IS." ". $system_timezone .". ". _TIMEZONE_CHANGE_EXPLAIN; ?></td></tr>        
        <?php
    }
    ?>

    <tr>
		<td><?php echo _TIME_FORMAT_DISPLAY; ?>:</td>
		<td class="date-format-settings">
			<?php SetupCustomDateFormat($editprofile->dateFormat); ?>
		</td>
		<td class=gray width="35%"><?php echo _TIME_FORMAT_DISPLAY_EXPLAIN; ?></td>
  	</tr>
	<tr><td class="dotline"><?php echo _DATE_FORMAT_DISPLAY; ?>:</td><td class="dotline"><p class="date-format-settings-preview"><?php echo date(implode($editprofile->dateFormat),time()); ?></p>
	<a class="restore-default-date-format-settings" style="cursor:pointer; color:#0000FF; text-decoration:underline;"><?php echo _RESTORE_TO_DEFAULT_FORMAT; ?>.</a></td><td class="dotline"></td>
    <tr><td valign=top class="dotline"><?php echo _VISIT_TIMEOUT;?>:</td><td valign=top class="dotline">
      <input size=5 type=text name=visittimeout value="<?php echo $editprofile->visittimeout; ?>">
      </td>
      <td class=dotlinegraytext width="35%"><?php echo _VISIT_TIMEOUT_EXPLAIN;?></td></tr>
	
	<?php if (_LOGAHOLIC_EDITION != 4 && LOGAHOLIC_BASE_EDITION != "cPanel Edition") { 
		$hidevid = "";
	} else {
		$hidevid = "display:none;";
	}
	?>	
    <tr style="<?php echo $hidevid; ?>"><td valign=top class="dotline"><?php echo _UNIQUE_VISITOR_ID_METHOD;?>:</td><td valign=top class="dotline"><select onchange="fcookietracker('<?php echo $editprofile->trackermode;?>');" name="visitoridentmethod"><?php
        foreach ($vidmethods as $key => $value) {
          if($key == 3 && !$session->canUpdateLogs()){
            continue;
          }

          echo "<option value=\"$key\" ".($key == $editprofile->visitoridentmethod ? "selected" : "").">$value</option>";
        }
      echo "</select>";  
      ?>
      
      
      </td>
    <td class=dotlinegraytext><?php echo _HOW_TO_IDENTIFY_UNIQUE_VISITOR;?> <a target =_new href="http://www.logaholic.com/manual/LogaholicManual/Advanced"><?php echo _THIS_HELP_ARTICLE;?></a>.
    </td></tr>
    <tr>
    <td colspan=3>
      <div id="cookietracker" class="dotline" style="padding-left:50px;display:<?php if ($editprofile->visitoridentmethod!=3 || $editprofile->trackermode==1) { echo "none"; } else { echo "block"; }?>;">
      <?php echo _IMPORTANT_COOKIE_BASED;?><br>
          
            
	   <?php
	   $codespace = str_replace("var lwa_id", "var lwa_trackermode = $editprofile->trackermode;<br/>var lwa_id", $codespace);
	   ?>
	   <div style='width:400px; height:auto; font-size:11px; background:#FFF; border:1px solid silver;'><?php echo $codespace; ?></div><br><font size=1><?php echo _CLICK_TO_SELECT_ALL_CTRLC_TO_COPY;?></font><br><br> 
	   <?php echo _COPY_CODE_EXPLAIN;?>
	   <P>
       <?php echoWarning("Finally, read <a target =_new href=\"http://www.logaholic.com/manual/LogaholicManual/LogFileAnalysisHybridMode\">". _THIS_HELP_ARTICLE."</a> "._MORE_INFO_ON_COOKIE_TRACKING.""); ?>
       
       </div>
		
    </td></tr>
    <?php
	if(LOGAHOLIC_BASE_EDITION !== $edition[4]){
     if (!$validUserRequired || $session->canEditProfiles()) { 
        if (!IS_PHPDOCK) {
        ?>
        <tr>
			<td valign="top" class="dotline"><?php echo _EXIT_CLICK_TRACKING;?></td>
			<td id='copy_exit_tracking_div' valign="top" class="dotline"><div style="width:450px; font-size:11px; height:80px; background:#FFF; border:1px solid silver;">
			<?php 
			$w_path = $_SERVER['PHP_SELF'];
			$wpath = dirname($w_path);
			$trackmode = $editprofile->trackermode == 1 ? 'js' : 'log';
      if(!empty($wpath) && substr($wpath,-1) !== "/"){
        $wpath .= "/";
      }

			echo "&lt;script type='text/javascript'&gt;LWA_tracking = '{$trackmode}';&lt;/script&gt;&lt;script type='text/javascript'&gt;<br/>if (document.location.protocol==\"https:\") { var ptcl = \"https:\" } else { var ptcl = \"http:\" } <br/>
			var lwa_server = ptcl + \"//{$_SERVER['HTTP_HOST']}{$wpath}\"; <br/>
			document.write(unescape(\"%3Cscript type='text/javascript' src='\" + lwa_server + \"exitclicks.js'%3E%3C/script%3E\"));&lt;/script&gt;"; ?> </div>
			<script type='text/javascript'>		
			$("#copy_exit_tracking_div").live("click",function(){
				SelectText("copy_exit_tracking_div");
			});
			</script>			
			</td>
			<td class="dotlinegraytext"><?php echo _EXIT_CLICK_TRACKING_EXPLAIN;?>.</td>
		</tr>
		
		
		<tr>
			<td valign=top class="dotline">
				<?php echo _INPAGE_ANALYTICS; ?>:
			</td>
			<td id="copy_inpage_div" valign=top class="dotline"><div style="width:500px; font-size:11px; height:80px; background:#FFF; border:1px solid silver;">
			<?php
				$w_path = $_SERVER['PHP_SELF'];
				$wpath = dirname($w_path);
        if(!empty($wpath) && substr($wpath,-1) !== "/"){
          $wpath .= "/";
        }

				echo "&lt;script type='text/javascript'&gt;<br/>
					var lg_url = '{$http}://". $_SERVER['HTTP_HOST']. $wpath ."';<br/>
					var lg_profile = '{$editprofile->profilename}';<br/>
					&lt;/script&gt;<br/>
					&lt;script type='text/javascript' src='{$http}://". $_SERVER['HTTP_HOST']. $wpath ."inpage.js' &gt;&lt;/script&gt;
				"; ?></div>
				<script type='text/javascript'>		
				$("#copy_inpage_div").live("click",function(){
					SelectText("copy_inpage_div");
				});
				</script>
			</td>
			<td class=dotlinegraytext width="35%"><?php echo _INPAGE_ANALYTICS_DESC; ?></td>
		</tr>
		<tr>
			<td valign=top class="dotline">
				<?php echo _INPAGE_ANALYTICS; ?>:
			</td>
			<td valign=top class="dotline">
				<a target='_blank' style='margin-right:10px;' href="//<?php echo $editprofile->confdomain; ?>?activateinpage=1"><?php echo _ACTIVATED; ?></a>
				<a target='_blank' href="//<?php echo $editprofile->confdomain; ?>?activateinpage=0"><?php echo _DEACTIVATED; ?></a>
			</td>
			<td class=dotlinegraytext width="35%"><?php echo _INPAGE_ANALYTICS_ACTIVATION; ?></td>
		</tr> 
		
		
        <?php
        }
     }
    }
    ?>

    <?php if($session->isAdmin()){   ?>
    <tr>
      <td><?php echo _CUSTOM_REPORTS_DIR; ?></td>
      <td><strong><?php echo $editprofile->customreportsdir; ?></strong></td>
      <td class="gray"><?php echo _CUSTOM_REPORTS_DIR_DESC; ?><br/><a target="_blank" href="//www.logaholic.com/manual/developers/create-custom-reports/"><?php echo _CUSTOM_REPORTS_MAN_LINK; ?></a>
      </td>
    </tr>
    <tr>
      <td class="dotline"><?php echo _ONLY_CUSTOM_REPORTS; ?></td>
      <td class="dotline"><input type="checkbox" <?php if($editprofile->customreportsonly === 1){ echo "checked"; } ?> name="customreportsonly" /></td>
      <td class="dotlinegraytext"><?php echo _ONLY_CUSTOM_REPORTS_DESC; ?></td>
    </tr>
    <?php } ?>
  
  <tr>
  	<td colspan=3>
  		<?php if ($session->isAdmin() || $session->canAddProfiles()) { ?><input type=button value="<?php echo _NEXT;?>" onclick="Profile('datamanager_li');ProfileC('datamanager');ProfileForm('datamanagerfp');"><?php } ?>
  		<input name=save type=submit value="<?php echo _SAVE;?>">
  	</td>
  </tr>
  </table>  	
 
  	
  </div>

  <div id="dynamicpagesfp" class=editprofile style="display:none;">
  <br>
  <table cellpadding=6 border=0 width="95%">
  <?php if (defined("_ENABLE_IMPORTANT_PARAMETER_EDITOR_")) { ?>
           <tr><td valign=top class="dotline"><?php echo _DYNAMIC_PAGES;?>:</td><td valign=top class="dotline">
      
    <table id="DynamicPagesForm"><tr><th width="30%" align="left"><?php echo _PAGE_NAME_WITH_PATH;?></th><th align="left" width="50%"><?php echo _IMPORTANT_PARAMS_COMMA_DELIMITED;?></th><th width="20%"><?php echo _DELETE . " / " . _NEW;?></th></tr>
    <?php
        # Use a for loop here so we can grab an empty one at the end.
    	$total = $editprofile->getUrlParamCount();
    	if($total == 0){ $total = 1; }

        for ($param_loop = 0; $param_loop < $total; $param_loop ++) {
            if ($param_loop < $editprofile->getUrlParamCount()) {
                $this_param =& $editprofile->getUrlParamByIndex($param_loop);
            } else {
                $this_param = array("paramid" => null, "filename" => null, "nameisregex" => null, "importantparams" => null);
            }
            
            echo "<tr id='param_{$param_loop}'><td><input type=hidden name=\"paramid[]\" value='' /><input name=\"paramurl[]\" value=\"".addslashes($this_param["filename"])."\" size=40></td><td><input name=\"paramnames[]\" value=\"".addslashes($this_param["importantparams"])."\" size=50></td>";
           	echo "<td>";
           	if($param_loop == 0){
           		echo "<input type='button' class='addNewDyPage' value='+' />";
           	} else if ($this_param["paramid"]) {                
                echo "<input type='button' class='remNewDyPage' value='-' rel='{$param_loop}' /><input type='button' class='addNewDyPage' value='+' />";
            }            

            echo "</td></tr>\n";
        }
    ?>
    </table>
    <script type="text/javascript">
    // add - remove functionailty for dynamic pages
    var param_counter = <?php echo $param_loop; ?>;
    $("#DynamicPagesForm").on("click",".addNewDyPage", function(){	
    	param_counter ++; 
    	newdprow = "<tr id='param_"+ param_counter +"'>";
    	newdprow += "<td><input type=hidden name='paramid[]' value=''/><input name='paramurl[]' value='' size=40></td>";
    	newdprow += "<td><input name='paramnames[]' value='' size=50></td>";
    	newdprow += "<td><input type='button' class='remNewDyPage' value='-' rel='"+ param_counter +"' /><input type='button' class='addNewDyPage' value='+' /></td>";
    	newdprow += "</tr>";

    	$("#DynamicPagesForm").append(newdprow);
    });

    $("#DynamicPagesForm").on("click",".remNewDyPage", function(){
    	$("#param_"+ $(this).attr("rel")).remove();
    });
    </script>

  <P><b><?php echo _DYNAMIC_PAGES_CONF;?>:</b></p>
  <font color="gray">  
         <?php echo _DYNAMIC_PAGES_CONF_EXPLAIN;?>
    </font>
    </td></tr>

    
    <?php } ?>
  
  <tr><td colspan=3><input type=button value="<?php echo _NEXT;?>" onclick="Profile('automation_li');ProfileC('automation');ProfileForm('automationfp');">
  <input name=save type=submit value="<?php echo _SAVE;?>"></td></tr>
  </table>
  </div>
  
  
  

  <div id="feedsfp" class=editprofile style="display:none;">
  <br>
  <table cellpadding=6 border=0 width="95%">
    <tr><td valign=top class="dotline" colspan="3"><?php echo _FEED_SETTINGS; ?><br>&nbsp;</td></tr>
    <tr><td valign=top class="dotline" width="110"><?php echo _FEEDS_DIRECTORY; ?>:</td><td valign=top class="dotline">
        <input type=text size="40" name="feedurl" value="<?php echo $editprofile->feedurl; ?>">
    </td>
    <td class=dotlinegraytext><?php echo _FEEDS_DIRECTORY_EXPLAIN; ?> 
    </td></tr>
    <tr><td valign=top class="dotline"><?php echo _FEEDBURNER_URI; ?>:</td><td valign=top class="dotline">
        <input type=text size="40" name="feedburneruri" value="<?php echo $editprofile->feedburneruri; ?>">
    </td>
    <td class=dotlinegraytext><?php echo _FEEDBURNER_URI_EXPLAIN; ?> 
    </td></tr>
  
  <tr><td colspan=3><input type=button value="<?php echo _NEXT;?>" onclick="Profile('dynamicpages_li');ProfileC('dynamicpages');ProfileForm('dynamicpagesfp');">
  <input name=save type=submit value="<?php echo _SAVE;?>"></td></tr>
  </table>
  </div> 
  
  <div id="datamanagerfp" class=editprofile style="display:none;float:left;">
	<?php if ($session->isAdmin() || $session->canAddProfiles()) { ?>
	<br>
	<table cellpadding=6 border=0 width="95%">
		<tr>
			<td valign=top class="dotline" width="210">
				Max daterange in database:
			</td>
			<td valign=top class="dotline">
				<?php
				$currentSetting = $editprofile->GetOtherSettings("datamanagersettings",getGlobalSetting("datamanagersettings",0));	
				echo "<select name='datamanagerMonthLimit'>";
					if($currentSetting == 0){ $sel = "selected='selected'"; } else { $sel = "";  }
					echo "<option value='0' {$sel}>No Limit</option>";
					if($currentSetting == 1){ $sel = "selected='selected'"; } else { $sel = "";  }
					echo "<option value='1' {$sel}>1 ". _MONTH ."</option>";
					if($currentSetting == 2){ $sel = "selected='selected'"; } else { $sel = "";  }
					echo "<option value='2' {$sel}>2 ". _MONTH ."</option>";
					if($currentSetting == 3){ $sel = "selected='selected'"; } else { $sel = "";  }
					echo "<option value='3' {$sel}>3 ". _MONTH ."</option>";
					if($currentSetting == 4){ $sel = "selected='selected'"; } else { $sel = "";  }
					echo "<option value='4' {$sel}>4 ". _MONTH ."</option>";
					if($currentSetting == 5){ $sel = "selected='selected'"; } else { $sel = "";  }
					echo "<option value='5' {$sel}>5 ". _MONTH ."</option>";
					if($currentSetting == 6){ $sel = "selected='selected'"; } else { $sel = "";  }
					echo "<option value='6' {$sel}>6 ". _MONTH ."</option>";
					if($currentSetting == 12){ $sel = "selected='selected'"; } else { $sel = "";  }
					echo "<option value='12' {$sel}>12 ". _MONTH ."</option>";					
				echo "</select>";
				?>
			</td>
			<td class="dotlinegraytext"></td>
		</tr>
		<tr>
			<?php $dataManDir = $editprofile->GetOtherSettings("datamanagerDirectory",getGlobalSetting("datamanagerDirectory",logaholic_dir()."data/")); ?>	
			<td>Data directory:</td>
			<td><input type=text size="40" name="datamanagerDir" value="<?php echo $dataManDir; ?>"></td>
			<td class="dotlinegraytext"></td>
		</tr>
		<tr>
			<?php $maxManagerStorage = $editprofile->GetOtherSettings("datamanagerStorageSize",getGlobalSetting("datamanagerStorageSize",5000)); ?>	
			<td>Maximum Log File storage size:</td>
			<td><input type=text size="15" id="maxManagerStorage" name="maxManagerStorage" value="<?php echo $maxManagerStorage; ?>"> MB</td>
			<td class="dotlinegraytext"></td>
		</tr>
		
		
		<tr><td colspan=3><input name=save type=submit value="<?php echo _SAVE;?>"></td></tr>
	</table>
	<?php }	?>
  </div>
  
</form> 
</div>






<script language="javascript" type="text/javascript">
<?php
/* if we need to open a tab, do it now */
if (@$tab!="") {
    echo "Profile(".$tab."_li);ProfileC(".$tab.");ProfileForm(".$tab."fp);";  
}
if ((!$validUserRequired || $session->canAddProfiles())) {
    ?>
    // give showHint a kick
    $(document).ready(function(){
        showHint("");
    });
    <?php
} 
?>
$(function() {
    $("select[name='log_parser_type']").on("change", function(){
      $("select[name='log_parser_type']").val( $(this).val() );
    });


    $( "#uploadfiles" ).dialog({
        autoOpen: false,
        modal: true,
        width:640,
        height:480
    });
	
    $( "#open_uploadfiles" ).click(function() {
        <?php 
		if (_LOGAHOLIC_EDITION == 4 || LOGAHOLIC_BASE_EDITION == "cPanel Edition") {
			//skip
		} else {
			ob_start();
            $updir = $ud->getUploadDir() . $editprofile->profilename ."/";
			ob_end_clean();
            echo "document.getElementById(\"logfilefullpath\").value = \"$updir\";"; 
		}
        ?>
        showHint(document.getElementById("logfilefullpath").value); 
        url = "upload.php?conf=<?php echo $editprofile->profilename; ?>";
        $("#uploadfiles").dialog("open");
        $("#uploadfiles_iframe").attr('src',url);
        return false;
    });    
	
	/* This is needed for the profile custom date formating */
	$(".restore-default-date-format-settings").click( function(){
		$.ajax({
		  url: 'includes/dateReturner.php',
		  data: {defaultFormat : '1'},
		  success: function(result) {
				r = result.split(',');
				$('.format1 option[value='+r[0]+']').attr('selected', 'selected');
				$('.seperator1 option[value='+r[1]+']').attr('selected', 'selected');
				$('.format2 option[value='+r[2]+']').attr('selected', 'selected');
				$('.seperator2 option[value='+r[3]+']').attr('selected', 'selected');
				$('.format3 option[value='+r[4]+']').attr('selected', 'selected');
				$('.seperator3 option[value='+r[5]+']').removeAttr('selected');
				$('.format4 option[value='+r[6]+']').attr('selected', 'selected');
				$.ajax({
				  url: 'includes/dateReturner.php',
				  data: {dateString : $(".format1").val()+$(".seperator1").val()+$(".format2").val()+$(".seperator2").val()+$(".format3").val()+$(".seperator3").val()+$(".format4").val()},
				  success: function(result) {
						$(".date-format-settings-preview").html(result);
				  }
				});	
			}
		});			
	});		
	
  $(".date-format-settings select").change( function(){
		$.ajax({
		  url: 'includes/dateReturner.php',
		  data: {dateString : $(".format1").val()+$(".seperator1").val()+$(".format2").val()+$(".seperator2").val()+$(".format3").val()+$(".seperator3").val()+$(".format4").val()},
		  success: function(result) {
				$(".date-format-settings-preview").html(result);
		  }
		});				
	});

var warned_user = false;
  <?php if(CheckSubscriptionOption('KPI_Limit')) { ?>
  $("textarea[name='targetfiles']").keyup( function(){
      if(warned_user === false){
        var kpis = $(this).val();
        list = kpis.split(",");
        if(list.length > <?php echo (int)$session->subscription['Options']['KPI_Limit']['value'] ?>){
          <?php
          $kpi_limit_error = str_replace("%X%", $session->subscription['Options']['KPI_Limit']['value'] ,_KPI_LIMIT_ERROR);

          ?>
          alert("<?php echo $kpi_limit_error; ?>");
        }
        warned_user = true;
      }
  });
  <?php } ?>
});
</script>
<div id="uploadfiles" title="<?php echo _UPLOAD_LOG_FILES_IFRAME_HEADER; ?>" style="margin:0px;padding:10px;"><iframe id="uploadfiles_iframe" width="100%" height="100%" scrolling="auto" marginWidth="0" marginHeight="0" frameBorder="0"></iframe></div>

<P style="clear:both;height:50px;">&nbsp;</P>
<?php
}
?>
